
    body{


  font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,sans-serif;
}

/* contenedor */
.lang-selector{
  position:relative;
}

/* botón inferior */
.lang-button{
  margin-left: 12px;
  padding:4px 8px;
  width:56px;
  border-radius:12px;
  border:1px solid #bcbcbc;
  background:rgba(80,80,80,0.6);
  color:#ffb400;
  font-weight:600;
  cursor:pointer;
  backdrop-filter: blur(6px);
}

/* menú flotante */
.lang-menu{
  position:absolute;
  bottom:55px;
  left:50%;
  transform:translateX(-50%);
  
  padding:12px 0;
  width:90px;

  border-radius:16px;

  background:rgba(40,40,40,0.75);
  backdrop-filter: blur(12px);

  border:1px solid rgba(255,255,255,0.15);

  box-shadow:0 8px 25px rgba(0,0,0,0.4);

  display:flex;
  flex-direction:column;
  align-items:center;
}

/* opciones */
.lang-option{
  width:100%;
  text-align:center;
  padding:6px 0;
  color:#ddd;
  cursor:pointer;
  font-weight:500;
}

.lang-option:hover{
  color:white;
}

.lang-option.active{
  color:white;
}

/* ocultar */
.hidden{
  display:none;
}